org.red5.server.service

## Class WarDeployer.DirectoryFilter

- java.lang.Object
- - org.red5.server.service.WarDeployer.DirectoryFilter

All Implemented Interfaces:
  FilenameFilter

Enclosing class:
  WarDeployer

    protected class WarDeployer.DirectoryFilter
    extends Object
    implements FilenameFilter

Filters directory content

### Constructor Summary

Constructors
`protected` `WarDeployer.DirectoryFilter()`

### Method Summary

Methods
`boolean` `accept(File dir, String name)` Check whether file matches filter rules

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WarDeployer.DirectoryFilter

    protected WarDeployer.DirectoryFilter()

### Method Detail

#### accept

    public boolean accept(File dir,
                 String name)

Check whether file matches filter rules

Specified by:
  `accept` in interface `FilenameFilter`
Parameters:
  `dir` - Directory
  `name` - File name
Returns:
  true If file does match filter rules, false otherwise